audio-track {
  ion-thumbnail {
    > img {
      top: 0;
      position: absolute;
      .md & {
        @import '../../../../node_modules/ionic-angular/components/item/item.md';
        margin-top: ($item-md-padding-right / 2);
      }

      .ios & {
        @import '../../../../node_modules/ionic-angular/components/item/item.ios';
        margin-top: ($item-ios-padding-right / 2);
      }
    }
    audio-track-play {
      position: absolute;
      top: 0rem;
      display: inline-flex;

      .md & {
        @import '../../../../node_modules/ionic-angular/components/item/item.md';
        min-width: $item-md-thumbnail-size;
        min-height: $item-md-thumbnail-size;
        margin: ($item-md-padding-right / 2) $item-md-padding-right
          ($item-md-padding-right / 2) 0;
      }

      .ios & {
        @import '../../../../node_modules/ionic-angular/components/item/item.ios';
        min-width: $item-ios-thumbnail-size;
        min-height: $item-ios-thumbnail-size;
        margin: ($item-ios-padding-right / 2) $item-ios-padding-right
          ($item-ios-padding-right / 2) 0;
      }

      button {
        width: 100% !important;
        height: inherit !important;
        margin: 0 !important;

        &.light {
          background: map-get($colors, dark);
          color: map-get($colors, light);
          opacity: 0.8;
        }

        &.dark {
          color: map-get($colors, dark);
          opacity: 0.6;
        }

        ion-icon {
          font-size: 2em !important;
        }
      }
    }
  }

  audio-track-progress {
    em {
      font-size: 0.8em;
    }
  }

  audio-track-progress-bar {
    ion-range {
      &.range-ios {
        padding: 0;
      }
      &.range-md {
        padding: 0;
      }
    }

    time {
      font-size: 0.8em;
    }
  }
}
input[type='range'] {
  -webkit-appearance: none !important;
  background: rgba(255, 255, 255, 0.5);
  height: 2px;
  width: 66%;
  margin-left: 2%;
  margin-right: 2%;
  border-radius: 3px 3px 3px 3px;
}

input[type='range']:focus {
  background-color: #fff;
}
input[type='range']::-webkit-slider-thumb {
  -webkit-appearance: none !important;
  background: #fff;
  height: 15px;
  width: 15px;
  border-radius: 50%;
}
audio-track-play button.button {
  color: #fff;
}
ion-footer {
  audio-track-play button.button {
    color: #fff;
    ion-icon.ion-md-pause {
      color: #fff;
    }
  }
  ion-row {
    ion-col[col-8] {
      button.button {
        width: 100%;
        padding: 0px;
      }
    }
    ion-col:last-child {
      button.button {
        color: #fff !important;
      }
    }
  }
}
// page-player .button-md {
//   color: white;
// }
